<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
    xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout">
  <head>
  </head>
  <body>
      <div th:fragment="nav">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
          <div class="container px-4 px-lg-5">
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav me-auto mb-2 mb-lg-0 ms-lg-4">
                <li class="nav-item"><a class="nav-link active" aria-current="page" th:href="@{/}">Home</a></li>
                <li class="nav-item"><a class="nav-link" th:href="@{/all_product}">All Product</a></li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Category</a>
                  <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <li><a class="dropdown-item" th:href="@{'/product/1'}">Laptop</a></li>
                    <li><hr class="dropdown-divider" /></li>
                    <li><a class="dropdown-item" th:href="@{'/product/2'}">Phone</a></li>
                    <li><a class="dropdown-item" th:href="@{'/product/3'}">PC</a></li>
                  </ul>
                </li>
                <li th:if="${session.username}" class="nav-item"><a class="nav-link" th:href="@{'/info/view'}">Infomation Customer</a></li>
                <li class="nav-item"><a class="nav-link" href="#!">About</a></li>
              </ul>
              <form class="d-flex">
                <div th:if="${session.username}">
                  <b th:text="'Welcome ' + ${session.username}"></b>
                  <a class="btn btn-outline-dark" th:href="@{'/alogin'}">
                    Log out
                  </a>
                  <a class="btn btn-outline-dark" th:href="@{'carts/views'}">
                    <i class="bi-cart-fill me-1"></i>
                    Cart
                  </a>
                </div>

                <div th:unless="${session.username}">
                  <a class="btn btn-outline-dark" th:href="@{'alogin'}">
                    Login
                  </a>
                  <a class="btn btn-outline-dark" th:href="@{'register'}">
                    Register
                  </a>
                  <a class="btn btn-outline-dark" type="submit" th:href="@{'alogin'}">
                    <i class="bi-cart-fill me-1"></i>
                    Cart
                    <span class="badge bg-dark text-white ms-1 rounded-pill">0</span>
                  </a>
                </div>
              </form>
            </div>
          </div>
        </nav>
      </div>
  </body>
</html>
